# Uses of Class
org.eclipse.e4.ui.css.core.serializers.CSSSerializerConfiguration

Packages that use CSSSerializerConfiguration
Package
Description
org.eclipse.e4.ui.css.core.serializers
org.eclipse.e4.ui.css.swt.serializers

## Uses of CSSSerializerConfiguration in org.eclipse.e4.ui.css.core.serializers

Subclasses of CSSSerializerConfiguration in org.eclipse.e4.ui.css.core.serializers
Modifier and Type
Class
Description
`class`
`CSSHTMLSerializerConfiguration`
CSS HTML Serializer configuration used by `CSSSerializer` to filter the attribute type of the HTML widget like input[type='text'].
Fields in org.eclipse.e4.ui.css.core.serializers declared as CSSSerializerConfiguration
Modifier and Type
Field
Description
`static final CSSSerializerConfiguration`
CSSHTMLSerializerConfiguration.`INSTANCE`
Methods in org.eclipse.e4.ui.css.core.serializers with parameters of type CSSSerializerConfiguration
Modifier and Type
Method
Description
`protected void`
CSSSerializer.`serialize(Writer writer, CSSEngine engine, Object element, boolean serializeChildNodes, Map<String,CSSStyleDeclaration> selectors, CSSSerializerConfiguration configuration)`
Build CSS Style Sheet content of the `element` Object by using `CSSEngine` engine configuration.
`void`
CSSSerializer.`serialize(Writer writer, CSSEngine engine, Object element, boolean serializeChildNodes, CSSSerializerConfiguration configuration)`
Build CSS Style Sheet content of the `element` Object by using `CSSEngine` engine configuration.

## Uses of CSSSerializerConfiguration in org.eclipse.e4.ui.css.swt.serializers

Subclasses of CSSSerializerConfiguration in org.eclipse.e4.ui.css.swt.serializers
Modifier and Type
Class
Description
`class`
`CSSSWTSerializerConfiguration`
`CSSSerializerConfiguration` configuration used to get style of SWT control.
Fields in org.eclipse.e4.ui.css.swt.serializers declared as CSSSerializerConfiguration
Modifier and Type
Field
Description
`static final CSSSerializerConfiguration`
CSSSWTSerializerConfiguration.`INSTANCE`